<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 3.0 от 4.06.10                    #
## ДАННЫЙ СКРИПТ РАСПРОСТРАНЯЕТСЯ БЕСПЛАТНО #
## КАЧАЕМ ТОЛЬКО НА   http://masteram.us    #
  #########################################
if($db->sql_numrows($db->sql_query('SHOW TABLES FROM '.DB_db.'')) != 0) {
if ($user['level']<7){

$banl = $db->sql_fetchrow($db->sql_query ("Select * from bannlist WHERE ip = '".$ip."' and soft = '".$soft."' LIMIT 1;"));
if (mysql_affected_rows()>=1){
$align="center";
$title="Баня";
head();
echo '<b>'.user($banl['who_id']).'</b> забанил вас по IP и SOFT!<br />Причина: <b>'.$banl[why].'</b><br />';

echo '<br />';
echo gb.'<a href="index">На главную</a>'.div;
foot();

}

$b_ip = $db->sql_fetchrow($db->sql_query ("Select * from bannip;"));
if (substr_count($ip, $b_ip['ip'])!=0){
$align="center";
$title="Баня";
head();
echo 'Ваш IP забаннен!<br />';

echo '<br />';
echo gb.'<a href="index">На главную</a>'.div;
foot();

}
}
if (isset($user)){
if ($user['level']<7){
if ($user['bann']>$time){
$align='center';
$title='Баня';
head();

echo '<b>'.user($user['whobann']).'</b> забаннил вас на <b>'.kikt($user['bann']).'</b><br />Причина: <b>'.$user['whybann'].'</b><br />';

echo '<br />';
echo gb.'<a href="index">На главную</a>'.div;
foot();
}

if ($user['odobr']!=0){
$align='left';
$title='Стоп!';
head();

if (isset($_GET['exit'])){

setcookie('id');
setcookie('user');
setcookie('ps');

unset($_SESSION['user']);
unset($_SESSION['id']);
unset($_SESSION['ps']);



header('Location: /?'.SID);
}

if ($user['odobr']==1){
echo '<b>Вы получите доступ к сайту только после одобрения администрацией!</b><br /><b>Не регистрируйтесь повторно, за регу нескольких ников вы будете забаннены!</b><br />';
echo 'Сделайте закладку и зайдите позже: <br />';
echo '<i>http://'.$_SERVER['HTTP_HOST'].'/in?id='.$id.'&amp;ps='.$pass.'&amp;cookie=1</i> <br/>Скопировать ссылку:<br /><input name="" type="text" value="http://'.$_SERVER['HTTP_HOST'].'/in?id='.$id.'&amp;ps='.$pass.'&amp;cookie=1"/><br/><br />';

echo '<a href="in?ver='.$ver.'&amp;id='.$id.'&amp;ps='.$pass.'&amp;cookie=1">Перейти в чат</a><br/>';

}else if ($user['odobr']==2){
echo "<b>Извините, вам отказано в доступе к чату!</b><br />";
}
echo '<br /><a href="?exit">Выход (убить сессию)</a><br/>';

echo '<br />';
echo gb.'<a href="index">На главную</a>'.div;
foot();
}
}
}
}
?>